USB_FREE_STREAMS(9)

NAME
usb_free_streams - free bulk endpoint stream IDs.

SYNOPSIS

int usb_free_streams(struct usb_interface * interface, struct usb_host_endpoint ** eps, unsigned int num_eps, gfp_t mem_flags);

ARGUMENTS

interface
    alternate setting that includes all endpoints.

eps
    array of endpoints to remove streams from.

num_eps
    number of endpoints in the array.

mem_flags
    flags hcd should use to allocate memory.

DESCRIPTION

Reverts a group of bulk endpoints back to not using stream IDs. Can fail if we are given bad arguments, or HCD is broken.

RETURN

0 on success. On failure, a negative error code.

COPYRIGHT